<template>
<st-content heading="Programas">
    <st-back-btn/>
    <st-register 
        :key="componentKey"
        :data="fields"
        v-model="dialog"
        @refresh="refresh"
    />
    <div class="content-body">
        <div class="table-heading">
            <st-subtitle text="Datos generales"/>
            <st-edit-btn @click="open"/>
        </div>
        <v-row align="center"
            v-for="(field,index) in fields"
            :key="index"
        >
            <v-col md='4'>
                <v-label> {{field.label}}</v-label>
            </v-col>
            <v-col md='4'>
                <v-label> {{field.value}}</v-label>
            </v-col>

        </v-row>
    </div>
</st-content>
</template>

<script>

import Register from '@/components/programs/Register'

export default {
    components:{
        'st-register' : Register
    },
    data(){
        return{
            componentKey: 0,
            dialog: false,
            ids: null,
            fields:{
                nombre:{
                    value:'',
                    label:'Nombre de la Unidad',
                },
                codigo:{
                    value:'',
                    label:'Código'
                },
                coordinador:{
                    value:'',
                    label:'Nombre del Coordinador',
                    id:''
                }
            }
        }
    },
    methods:{
        async ini(){
            try{
                let { data: { data } } = await this.$api.getUnitsPrograms(this.$route.params.id)
                let fields = this.fields
                fields.nombre.value= data.unidad.nombre
                fields.codigo.value= data.unidad.codigo
                fields.coordinador.value = data.unidad.coordinador.nombres
                fields.coordinador.id= data.unidad.coordinador.idCoordinador
                

            }catch (e){
                this.$store.commit('setError', e)
            }



            //lo que hace eso es devolverme el id de esta unidad que se ha seleccionado
        },
        open(){
            this.dialog = true
            this.componentKey += 1; //forceRerender
        },
        refresh(value){
            this.dialog = false
            this.ini()
        },


    },
    mounted(){
        this.ini()

    }
    
}
</script>

<style scoped lang="scss">

</style>